Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class Mark

    Object
      CodeList<E>
          SimpleEnumerationType<Mark>
              Mark

All Implemented Interfaces:
  Serializable, Comparable<Mark>

    public class Mark

extends SimpleEnumerationType<Mark>

Indicate the various methods of sybolizing points with marks. This class defines static constants for all of the valid choices. Depending on the choice of custom mark, circle, cross, square, star, triangle, x mark, may affect the appearance of an object.

See Also:
  Serialized Form

Field Summary
`static Mark` | `CIRCLE` This constant indicates that a point should be symbolized with a circle mark.
`static Mark` | `CROSS` This constant indicates that a point should be symbolized with a cross mark.
`static Mark` | `CUSTOM` This constant indicates that a point should be symbolized with a custom mark.
`static Mark` | `SQUARE` This constant indicates that a point should be symbolized with a square mark.
`static Mark` | `STAR` This constant indicates that a point should be symbolized with a star mark.
`static Mark` | `TRIANGLE` This constant indicates that a point should be symbolized with a triangle mark.
`static Mark` | `X` This constant indicates that a point should be symbolized with an X mark.

Constructor Summary
`protected` | `Mark(String name, String description)` Construct a new Mark with the given name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static Mark[]` | `values()` Returns the list of `Mark`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CUSTOM

    public static final Mark CUSTOM

  This constant indicates that a point should be symbolized with a custom mark.

### CIRCLE

    public static final Mark CIRCLE

  This constant indicates that a point should be symbolized with a circle mark.

### CROSS

    public static final Mark CROSS

  This constant indicates that a point should be symbolized with a cross mark.

### SQUARE

    public static final Mark SQUARE

  This constant indicates that a point should be symbolized with a square mark.

### STAR

    public static final Mark STAR

  This constant indicates that a point should be symbolized with a star mark.

### TRIANGLE

    public static final Mark TRIANGLE

  This constant indicates that a point should be symbolized with a triangle mark.

### X

    public static final Mark X

  This constant indicates that a point should be symbolized with an X mark.

Constructor Detail

### Mark

    protected Mark(String name,
                   String description)

  Construct a new Mark with the given name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedMarks()`.

  Parameters:
    `name` - a String defining the name of the Arrow pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static Mark[] values()

  Returns the list of `Mark`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<Mark>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.